Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235927 - authconfig --enablenis --nisdomain=domain does not work
Summary: authconfig --enablenis --nisdomain=domain does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 20:39 UTC by Orion Poplawski
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-22 20:05:27 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-04-10 20:39:41 UTC
Description of problem:

Have:

authconfig --enableshadow --enablenis --nisdomain=yp.colorado-research.com

in my kickstart file.  After install NISDOMAIN was not set in
/etc/sysconfig/network.

After install ran:

# authconfig --enableshadow --enablenis --nisdomain=yp.colorado-research.com
--update

and it started ypbind and connected, but NISDOMAIN was still not set in
/etc/sysconfig/network.  On reboot, NIS did not start because the domain name
was not set.

 
Version-Release number of selected component (if applicable):
authconfig-5.3.13-3.fc7

Comment 1 Tomas Mraz 2007-04-11 07:47:28 UTC
What do you have in /etc/yp.conf after the kickstart and after the second
authconfig run?


Comment 2 Orion Poplawski 2007-04-11 15:10:43 UTC
# Valid entries are
#
# domain NISDOMAIN server HOSTNAME
#       Use server HOSTNAME for the domain NISDOMAIN.
#
# domain NISDOMAIN broadcast
#       Use  broadcast  on  the local net for domain NISDOMAIN
#
# domain NISDOMAIN slp
#       Query local SLP server for ypserver supporting NISDOMAIN
#
# ypserver HOSTNAME
#       Use server HOSTNAME for the  local  domain.  The
#       IP-address of server must be listed in /etc/hosts.
#
# broadcast
#       If no server for the default domain is specified or
#       none of them is rechable, try a broadcast call to
#       find a server.
#
domain yp.colorado-research.com broadcast


Comment 3 Tomas Mraz 2007-04-11 16:19:04 UTC
Could you try to remove the last line and rerun the authconfig with --update and
look at the yp.conf and sysconfig/network again?


Comment 4 Orion Poplawski 2007-04-11 16:49:53 UTC
That did it.  NISDOMAIN is set in sysconfig/network and yp.conf is correct.  So
now we just need to know what failed during install?

Comment 5 Tomas Mraz 2007-04-11 17:02:36 UTC
Well the kickstart command above is missing --update but that would mean that
neither yp.conf nor sysconfig/network will be set.

So I suppose --update was there. What's strange is why the sysconfig/network
wasn't set up correctly. Perhaps something overwrites it after authconfig was
run in kickstart? It would be really interesting to know what went wrong.

Nevertheless I have a fix for the second authconfig --update run so it will set
the sysconfig/network NISDOMAIN correctly even in the case it is already set in
yp.conf.


Comment 6 Orion Poplawski 2007-05-22 20:05:27 UTC
Apparently this was a problem with my local modification to the ypbind startup
script.  New ypbind init script can set the domain name based on /etc/yp.conf
and doesn't require NISDOMAINNAME set in /etc/sysconfig/network.  Sorry about that.


Note You need to log in before you can comment on or make changes to this bug.